# Created by pyp2rpm-3.3.8
%global pypi_name django-yaa-settings
%global pypi_version 1.1.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}.1
Summary:        Yet Another App Settings for Django

License:        BSD
URL:            http://radiac.net/projects/django-yaa-settings/
Source0:        https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(django)
BuildRequires:  python3dist(tox)

%description
Yet Another App Settings - manage settings for your reusable app.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Requires:       python3dist(django)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Yet Another App Settings - manage settings for your reusable app.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/yaa_settings
%{python3_sitelib}/django_yaa_settings-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Sep 22 2022 Oleg Girko <ol@infoserver.lv> - 1.1.0-1
- Initial package
